Uploaded image for project: 'Jackrabbit Oak'
  1. Jackrabbit Oak
  2. OAK-9043

The Oak parent pom should override the version of the Maven Dependency Plugin

Attach filesAttach ScreenshotVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Minor
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: parent
    • Labels:
      None

      Description

      Oak is current using https://github.com/apache/maven-apache-parent/blob/apache-18/pom.xml, which specifies version 2.10 of the Maven Dependency Plugin.
      This should be overridden with version 3.1.2 in the Oak parent pom.
      Note that with v2.10,

      mvn dependency:tree -Dverbose

      gives the warning

      Using Maven 2 dependency tree to get verbose output, which may be inconsistent with actual Maven 3 resolution

      .

        Attachments

        Issue Links

          Activity

            People

            • Assignee:
              baedke Manfred Baedke
              Reporter:
              baedke Manfred Baedke

              Dates

              • Created:
                Updated:
                Resolved:

                Issue deployment